%define anolis_release 2

Name:           python-fastjsonschema
Version:        2.16.3
Release:        %{anolis_release}%{?dist}
Summary:        Fastest Python implementation of JSON schema

License:        BSD-3-Clause
URL:            https://github.com/horejsek/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%global _description %{expand:
fastjsonschema implements validation of JSON documents by JSON schema.
The library implements JSON schema drafts 04, 06 and 07.
The main purpose is to have a really fast implementation.}

%description %_description

%package -n     python3-fastjsonschema
Summary:        %{summary}

%description -n python3-fastjsonschema %_description

%prep
%autosetup -p1 -n %{name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files fastjsonschema

%check
%tox

%files -n python3-fastjsonschema -f %{pyproject_files}
%license LICENSE

%changelog
* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.16.3-2
- Rebuild with python3.11

* Mon May 15 2023 Funda Wang <fundawang@yeah.net> - 2.16.3-1
- Import package for anolis 23
